<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'blogtest',

    /*
     * Package.
     */
    'package'   => 'blogtest',

    /*
     * Modules.
     */
    'modules'   => ['articles', 
'comment'],

    'articles'       => [
        'model' => [
            'model'                 => \Blogtest\Blogtest\Models\Articles::class,
            'table'                 => 'articles',
            'presenter'             => \Blogtest\Blogtest\Repositories\Presenter\ArticlesPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['Article_id',  'Author_id',  'Published_on',  'Title',  'Excerpt',  'Body',  'Is_published',  'Can_comment'],
            'translatables'         => [],
            'upload_folder'         => 'blogtest/articles',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Blogtest',
            'package'   => 'Blogtest',
            'module'    => 'Articles',
        ],

    ],

    'comment'       => [
        'model' => [
            'model'                 => \Blogtest\Blogtest\Models\Comment::class,
            'table'                 => 'comments',
            'presenter'             => \Blogtest\Blogtest\Repositories\Presenter\CommentPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => [],
            'translatables'         => [],
            'upload_folder'         => 'blogtest/comment',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Blogtest',
            'package'   => 'Blogtest',
            'module'    => 'Comment',
        ],

    ],
];
