<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateArticlesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: articles
         */
        Schema::create('articles', function ($table) {
            $table->increments('id');
            $table->increments('Article_id')->nullable();
            $table->integer('Author_id')->nullable();
            $table->dateTime('Published_on')->nullable();
            $table->string('Title', 125)->nullable();
            $table->string('Excerpt', 512)->nullable();
            $table->text('Body')->nullable();
            $table->boolean('Is_published')->nullable();
            $table->increments('Can_comment')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('articles');
    }
}
