<?php

namespace Blogtest\Blogtest;

use User;

class Blogtest
{
    /**
     * $articles object.
     */
    protected $articles;

    /**
     * Constructor.
     */
    public function __construct(\Blogtest\Blogtest\Interfaces\ArticlesRepositoryInterface $articles)
    {
        $this->articles = $articles;
    }

    /**
     * Returns count of blogtest.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.articles.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->articles->pushCriteria(new \Litepie\Blogtest\Repositories\Criteria\ArticlesUserCriteria());
        }

        $articles = $this->articles->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('blogtest::' . $view, compact('articles'))->render();
    }
}
