<?php

namespace Blogtest\Blogtest\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Articles policy
        'Blogtest\Blogtest\Models\Articles' => \Blogtest\Blogtest\Policies\ArticlesPolicy::class,
// Bind Comment policy
        'Blogtest\Blogtest\Models\Comment' => \Blogtest\Blogtest\Policies\CommentPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
