<?php

namespace Blogtest\Blogtest\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ArticlesTransformer extends TransformerAbstract
{
    public function transform(\Blogtest\Blogtest\Models\Articles $articles)
    {
        return [
            'id'                => $articles->getRouteKey(),
            'key'               => [
                'public'    => $articles->getPublicKey(),
                'route'     => $articles->getRouteKey(),
            ], 
            'Article_id'        => $articles->Article_id,
            'Author_id'         => $articles->Author_id,
            'Published_on'      => $articles->Published_on,
            'Title'             => $articles->Title,
            'Excerpt'           => $articles->Excerpt,
            'Body'              => $articles->Body,
            'Is_published'      => $articles->Is_published,
            'Can_comment'       => $articles->Can_comment,
            'url'               => [
                'public'    => trans_url('blogtest/'.$articles->getPublicKey()),
                'user'      => guard_url('blogtest/articles/'.$articles->getRouteKey()),
            ], 
            'status'            => trans('app.'.$articles->status),
            'created_at'        => format_date($articles->created_at),
            'updated_at'        => format_date($articles->updated_at),
        ];
    }
}