<?php

namespace Blogtest\Blogtest\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CommentTransformer extends TransformerAbstract
{
    public function transform(\Blogtest\Blogtest\Models\Comment $comment)
    {
        return [
            'id'                => $comment->getRouteKey(),
            'key'               => [
                'public'    => $comment->getPublicKey(),
                'route'     => $comment->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('blogtest/'.$comment->getPublicKey()),
                'user'      => guard_url('blogtest/comment/'.$comment->getRouteKey()),
            ], 
            'status'            => trans('app.'.$comment->status),
            'created_at'        => format_date($comment->created_at),
            'updated_at'        => format_date($comment->updated_at),
        ];
    }
}